WP6ContentParsingState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WP6ContentParsingState Struct Reference

`#include <WP6ContentListener.h>`

## Public Member Functions
| WP6ContentParsingState (WPXTableList tableList, unsigned nextTableIndice=0)
| ~WP6ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_bodyText
librevenge::RVNGString | m_textBeforeNumber
librevenge::RVNGString | m_textBeforeDisplayReference
librevenge::RVNGString | m_numberText
librevenge::RVNGString | m_textAfterDisplayReference
librevenge::RVNGString | m_textAfterNumber
double | m_paragraphMarginBottomRelative
double | m_paragraphMarginBottomAbsolute
unsigned | m_numRemovedParagraphBreaks
unsigned | m_numListExtraTabs
bool | m_isListReference
WPXTableList | m_tableList
WPXTable * | m_currentTable
unsigned | m_nextTableIndice
std::stack< unsigned > | m_listLevelStack
std::stack< WP6ListType > | m_listTypeStack
unsigned short | m_currentOutlineHash
unsigned char | m_oldListLevel
WP6StyleStateSequence | m_styleStateSequence
bool | m_putativeListElementHasParagraphNumber
bool | m_putativeListElementHasDisplayReferenceNumber
unsigned | m_noteTextPID
unsigned | m_numNestedNotes
bool | m_isFrameOpened
bool | m_isLinkOpened
unsigned | m_leaderCharacter
unsigned char | m_leaderNumSpaces
std::vector< WPXTabStop > | m_tempTabStops
std::vector< bool > | m_tempUsePreWP9LeaderMethod
WPXNumberingType | m_currentPageNumberingType

## Private Member Functions
| WP6ContentParsingState (const WP6ContentParsingState &)
WP6ContentParsingState & | operator= (const WP6ContentParsingState &)

## Constructor & Destructor Documentation

WP6ContentParsingState::WP6ContentParsingState | ( | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |

WP6ContentParsingState::~WP6ContentParsingState | ( |  | ) |

WP6ContentParsingState::WP6ContentParsingState | ( | const WP6ContentParsingState & |  | ) |
| private

## Member Function Documentation

WP6ContentParsingState& WP6ContentParsingState::operator= | ( | const WP6ContentParsingState & |  | ) |
| private

## Member Data Documentation

librevenge::RVNGString WP6ContentParsingState::m_bodyText

Referenced by WP6ContentListener::_flushText(), and WP6ContentListener::insertCharacter().

unsigned short WP6ContentParsingState::m_currentOutlineHash

Referenced by WP6ContentListener::_changeList(), WP6ContentListener::_handleListChange(), and WP6ContentListener::_paragraphNumberOn().

WPXNumberingType WP6ContentParsingState::m_currentPageNumberingType

Referenced by WP6ContentListener::displayNumberReferenceGroupOff(), and WP6ContentListener::setPageNumberingType().

WPXTable* WP6ContentParsingState::m_currentTable

Referenced by WP6ContentListener::defineTable(), WP6ContentListener::insertCell(), and WP6ContentListener::startTable().

bool WP6ContentParsingState::m_isFrameOpened

Referenced by WP6ContentListener::boxOff(), WP6ContentListener::boxOn(), WP6ContentListener::insertGraphicsData(), and WP6ContentListener::insertTextBox().

bool WP6ContentParsingState::m_isLinkOpened

Referenced by WP6ContentListener::boxOff(), and WP6ContentListener::boxOn().

bool WP6ContentParsingState::m_isListReference

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::handleLineBreak(), WP6ContentListener::indentFirstLineChange(), WP6ContentListener::insertCharacter(), WP6ContentListener::insertTab(), WP6ContentListener::marginChange(), and WP6ContentListener::paragraphMarginChange().

unsigned WP6ContentParsingState::m_leaderCharacter

Referenced by WP6ContentListener::defineTabStops(), and WP6ContentListener::setLeaderCharacter().

unsigned char WP6ContentParsingState::m_leaderNumSpaces

Referenced by WP6ContentListener::defineTabStops(), and WP6ContentListener::setLeaderCharacter().

std::stack<unsigned> WP6ContentParsingState::m_listLevelStack

Referenced by WP6ContentListener::_handleListChange().

std::stack<WP6ListType> WP6ContentParsingState::m_listTypeStack

Referenced by WP6ContentListener::_handleListChange().

unsigned WP6ContentParsingState::m_nextTableIndice

Referenced by WP6ContentListener::_handleSubDocument(), WP6ContentListener::commentAnnotation(), WP6ContentListener::defineTable(), WP6ContentListener::insertTextBox(), and WP6ContentListener::noteOff().

unsigned WP6ContentParsingState::m_noteTextPID

Referenced by WP6ContentListener::_handleSubDocument(), WP6ContentListener::noteOff(), and WP6ContentListener::noteOn().

librevenge::RVNGString WP6ContentParsingState::m_numberText

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), WP6ContentListener::displayNumberReferenceGroupOff(), WP6ContentListener::displayNumberReferenceGroupOn(), WP6ContentListener::insertCharacter(), and WP6ContentListener::noteOff().

unsigned WP6ContentParsingState::m_numListExtraTabs

Referenced by WP6ContentListener::_flushText(), and WP6ContentListener::insertTab().

unsigned WP6ContentParsingState::m_numNestedNotes

Referenced by WP6ContentListener::_handleSubDocument(), WP6ContentListener::noteOff(), and WP6ContentListener::noteOn().

unsigned WP6ContentParsingState::m_numRemovedParagraphBreaks

unsigned char WP6ContentParsingState::m_oldListLevel

double WP6ContentParsingState::m_paragraphMarginBottomAbsolute

Referenced by WP6ContentListener::fontChange(), and WP6ContentListener::spacingAfterParagraphChange().

double WP6ContentParsingState::m_paragraphMarginBottomRelative

Referenced by WP6ContentListener::fontChange(), and WP6ContentListener::spacingAfterParagraphChange().

bool WP6ContentParsingState::m_putativeListElementHasDisplayReferenceNumber

Referenced by WP6ContentListener::_handleListChange(), WP6ContentListener::displayNumberReferenceGroupOn(), and WP6ContentListener::styleGroupOn().

bool WP6ContentParsingState::m_putativeListElementHasParagraphNumber

Referenced by WP6ContentListener::_paragraphNumberOn(), and WP6ContentListener::styleGroupOn().

WP6StyleStateSequence WP6ContentParsingState::m_styleStateSequence

Referenced by WP6ContentListener::_paragraphNumberOn(), WP6ContentListener::displayNumberReferenceGroupOff(), WP6ContentListener::displayNumberReferenceGroupOn(), WP6ContentListener::globalOff(), WP6ContentListener::globalOn(), WP6ContentListener::handleLineBreak(), WP6ContentListener::insertCharacter(), WP6ContentListener::insertTab(), WP6ContentListener::noteOff(), WP6ContentListener::noteOn(), WP6ContentListener::paragraphNumberOff(), WP6ContentListener::styleGroupOff(), and WP6ContentListener::styleGroupOn().

WPXTableList WP6ContentParsingState::m_tableList

Referenced by WP6ContentListener::commentAnnotation(), WP6ContentListener::defineTable(), WP6ContentListener::insertTextBox(), and WP6ContentListener::noteOff().

std::vector<WPXTabStop> WP6ContentParsingState::m_tempTabStops

Referenced by WP6ContentListener::defineTabStops().

std::vector<bool> WP6ContentParsingState::m_tempUsePreWP9LeaderMethod

Referenced by WP6ContentListener::defineTabStops(), and WP6ContentListener::setLeaderCharacter().

librevenge::RVNGString WP6ContentParsingState::m_textAfterDisplayReference

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), WP6ContentListener::displayNumberReferenceGroupOn(), and WP6ContentListener::insertCharacter().

librevenge::RVNGString WP6ContentParsingState::m_textAfterNumber

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), and WP6ContentListener::insertCharacter().

librevenge::RVNGString WP6ContentParsingState::m_textBeforeDisplayReference

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), and WP6ContentListener::insertCharacter().

librevenge::RVNGString WP6ContentParsingState::m_textBeforeNumber

Referenced by WP6ContentListener::_flushText(), WP6ContentListener::_handleListChange(), WP6ContentListener::displayNumberReferenceGroupOff(), and WP6ContentListener::insertCharacter().

The documentation for this struct was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp